package com.subd.subd.Dtos;

import com.subd.subd.Models.PickUpPoint;
import jakarta.annotation.Nullable;

import java.util.Date;

public class OrderDto {
    private Double value;
    private String status;
    private Date date;
    private Long clientId;
    private Long sourcePickUpPointId;
    @Nullable
    private Long destPickUpPointId;
    private Long carId;
    public OrderDto() {}
    public OrderDto(Double value, String status, Date date, Long clientId, Long sourcePickUpPointId, @Nullable Long destPickUpPointId, Long carId) {
        this.value = value;
        this.status = status;
        this.date = date;
        this.clientId = clientId;
        this.sourcePickUpPointId = sourcePickUpPointId;
        this.destPickUpPointId = destPickUpPointId;
        this.carId = carId;
    }
    public Double getValue() {
        return this.value;
    }
    public String getStatus() {
        return this.status;
    }
    public Date getDate() {
        return this.date;
    }
    public Long getClientId() {
        return this.clientId;
    }
    public Long getSourcePickUpPointId() {
        return this.sourcePickUpPointId;
    }
    @Nullable
    public Long getDestPickUpPointId() {
        return this.destPickUpPointId;
    }
    public Long getCarId() {
        return this.carId;
    }
}
