export default class Driver {
    constructor(data) {
        this._id = data?.id;
        this._name = data?.name;
        this._birthday = data?.birthday;
        this._phone = data?.phone;
        this._email = data?.email;
    }

    get id() {
        return this._id;
    }

    get name() {
        return this._name;
    }

    set name(value) {
        if (typeof value !== 'string' || value === null || value.length == 0) {
            throw 'New name value ' + value + ' is not a string or empty';
        }
        this._name = value;
    }

    get birthday() {
        return this._age;
    }

    set birthday(value) {
        this._birthday = value;
    }

    get phone() {
        return this._phone;
    }

    set phone(value) {
        if (typeof value !== 'string' || value === null || value.length == 0) {
            throw 'New phone value ' + value + ' is not a string or empty';
        }
        this._phone = value;
    }

    get email() {
        return this._email;
    }

    set email(value) {
        if (typeof value !== 'string' || value === null || value.length == 0) {
            throw 'New email value ' + value + ' is not a string or empty';
        }
        this._email = value;
    }
}